
QGIS Application - Bug report #7877

Crash when saving .qml style file for layer

2013-05-21 12:28 PM - Larry Shaffer

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16751

Description

    1. Open properties for a shapefile layer (not tested with other types, yet)

    2. Choose to save .qml style file

    3. Crash

Reportedly worked fine on May 16, 2013.

Crash report from Mac OS 10.7.5 attached, though I do not think it is a platform-specific issue.

May be related to commits commit:34c85c8, commit:a98ffed or commit:99aaa59

Related issues:

Duplicated by QGIS Application - Bug report # 7882: QGIS 1.9. 0 Alpha on Wind... Closed 2013-05-22

Associated revisions

Revision b7f1987b - 2013-05-22 09:19 AM - Matthias Kuhn

[Fix #7877] Crash when saving layer style as qml

History

#1 - 2013-05-21 12:31 PM - Giovanni Manghi

confirmed on Linux.

#2 - 2013-05-21 04:32 PM - ramon .

Confirmed Windows (7 - 64bit).

Suspect also causing crashes when loading saved styles as well.

I've dumps from windows if they're helpful for both the save and load case. They're too big to load up here, but I can put them somewhere if they'll help.

#3 - 2013-05-22 12:21 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"b7f1987b3e225be55e1d406af32c974c90f54881".
#4 - 2013-07-08 11:12 AM - Simon Dedman

- Status changed from Closed to Reopened

Tentative reopening, not sure if this should be a new bug, but:

When trying to save a style, nothing happens. No crash, but also nothing saved.

When trying to save as 'sld' format, gives error:

"ERROR: failed to create sld file as . Check file permissions and retry."

(am just saving in a documents subfolder in windows 7. layer type is csv points)

#5 - 2013-07-08 12:09 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Reopened to Closed

Simon Dedman wrote:

Tentative reopening, not sure if this should be a new bug, but:

When trying to save a style, nothing happens. No crash, but also nothing saved.

When trying to save as 'sld' format, gives error:

"ERROR: failed to create sld file as . Check file permissions and retry."

(am just saving in a documents subfolder in windows 7. layer type is csv points)

it works fine for CSV layers on QGIS master. Are you using QGIS master? Seems anyway a local (permissions?) issue. Eventually attach a project (with

data) to allow us replicate the issue.

#6 - 2013-07-08 02:08 PM - Simon Dedman

- Assignee changed from Matthias Kuhn to Giovanni Manghi

Hi Giovanni.

I updated my Win7 copy to latest master this afternoon, checked again, didn't work. All my files are saved in my dropbox folder in My Documents, which

isn't a restricted access folder, and I've been saving various other files there today (interpolations, etc., as well as vector styles). On my linux copy (also

latest master), which uses all the same files thanks to the dropbox sync, I can save the csv style, both as qml and sld.

Any thoughts why the windows7 build might have this problem when the linux one doesn't?

#7 - 2013-07-09 02:37 AM - Giovanni Manghi

- Category changed from Project Loading/Saving to Symbology

- Crashes QGIS or corrupts data changed from Yes to No

- Resolution deleted (worksforme)

- Operating System set to Windows

- Assignee deleted (Giovanni Manghi)

- Status changed from Closed to Reopened

Simon Dedman wrote:
Tentative reopening, not sure if this should be a new bug, but:

When trying to save a style, nothing happens. No crash, but also nothing saved.

When trying to save as 'sld' format, gives error:

"ERROR: failed to create sld file as . Check file permissions and retry."

(am just saving in a documents subfolder in windows 7. layer type is csv points)

Confirmed under Windows, at least for CSV layers added with the "add delimited text" tool.

#8 - 2013-07-12 10:52 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Reopened to Closed

- Operating System deleted (Windows)

Confirmed under Windows, at least for CSV layers added with the "add delimited text" tool.

it is anyway a different issue from the originally reported here, and it is also not a regression as it doesn't work also on qgis 1.8. I will file a separate ticket.

Files

save-to-qml_crash-report.txt 10.6 KB 2013-05-21 Larry Shaffer
